--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Sets locale such as &quot;de&quot;, &quot;fr&quot;, &quot;it&quot;, &quot;ko&quot;, &quot;ja_JP.eucJP&quot;, &quot;zh_CN.EUC&quot; ...
- !ruby/struct:SM::Flow::P 
  body: Notice that you shouldn't use this for your own Libraries.
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "locale: a locale string or Locale::Object."
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "force: Change locale forcely."
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "Returns: self"
  type: :BULLET
full_name: GetText::TextDomainManager#set_locale
is_singleton: false
name: set_locale
params: (locale, force = false)
visibility: public
